#include "SceneDescription.h"

void save(const char * fname, const SceneDescription & desc){
  std::ofstream ofs(fname);
  boost::archive::text_oarchive oa(ofs);
  oa << (const SceneDescription &) desc;
}

int main(int ac, char * av[]){
  {
    SceneDescription desc;
    desc.drawTets = false;
    desc.tetMesh.fileName = "data/single.obj";
    desc.tetMesh.mat.e = 250000;
    desc.tetMesh.mat.v = 0.1;
    
    desc.tetBoundMesh.fileName = "data/sphere.obj";
    save("sphere.ivm", desc);
  }
  {
    SceneDescription desc;
    desc.drawTets = false;
    desc.tetMesh.fileName = "data/snake.obj";
    desc.tetMesh.mat.e = 250000;
    desc.tetMesh.mat.v = 0.1;
    desc.tetMesh.mat.c_yield = 0.1;
    desc.tetMesh.fracThresh = 100000000;
    
    desc.tetBoundMesh.fileName = "data/snake_bound.obj";
    desc.tetBoundMesh.material.shader = "texture";
    desc.tetBoundMesh.material.textures.push_back("data/snake.png");
    save("snake.ivm", desc);
  }

  {
    SceneDescription desc;
    desc.drawTets = false;
    desc.tetMesh.fileName = "data/fingers.obj";
    desc.tetMesh.mat.e = 100000;
    desc.tetMesh.mat.v = 0.3;
    desc.tetMesh.mat.c_yield = 100;
    desc.tetMesh.fracThresh = 100000000;
    
    desc.tetBoundMesh.fileName = "data/fingers_bound.obj";
    save("fingers.ivm", desc);
  }

  return 0;
} 
