#include "UI.h"  
#include <GL/glut.h>
#include <unistd.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>

namespace UI {
  bool haveFont = false;
  FFont ffont;

  void setFont(FFont & font) {
    ffont = font;
    haveFont = true;
  }

  void drawString(float x, float y, const char * fmt, ...) {
    char result[1024];
    
    va_list ap;
    va_start(ap, fmt);
    vsnprintf(result, sizeof(result), fmt, ap);
    va_end(ap);

    if (haveFont) {
      ffont.drawString(result, x, y);
      return;
    }
    
    const char * c = result;
    glRasterPos2f(x, y);
    while (*c) {
      glutBitmapCharacter(GLUT_BITMAP_HELVETICA_18, *c++);
    }
  }
}
